import * as clc from 'cli-color'

export abstract class Logger {
    private static verbose = false

    public static setVerbosity(verbose: boolean) {
        this.verbose = verbose
    }

    public static info(...out: any) {
        this.log(clc.blue('info    '), ...out)
    }

    public static error(...out: any) {
        this.log(clc.red('error  '), ...out)
    }

    public static success(...out: any) {
        this.log(clc.green('success '), ...out)
    }

    public static verb(...out: any) {
        this.log(clc.italic('verb    '), ...out)
    }

    private static log(...out: any) {
        console.log(...out)  // eslint-disable-line no-console
    }
}
